Start pulling an agent's production calls
curl --request POST \
--url https://app.egma.ai/v1/monitoring/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentPlatform": "retell",
"watch": [
{
"platformAgentId": "<string>",
"name": "<string>",
"agentId": "<string>"
}
]
}
'{
"watching": [
{
"agentId": "<string>",
"agentName": "<string>",
"platformAgentId": "<string>",
"created": true,
"pullProductionCalls": true
}
],
"refused": [
{
"platformAgentId": "<string>",
"reason": "contested",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Monitoring
Start pulling an agent's production calls
POST
/
v1
/
monitoring
/
start
Start pulling an agent's production calls
curl --request POST \
--url https://app.egma.ai/v1/monitoring/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentPlatform": "retell",
"watch": [
{
"platformAgentId": "<string>",
"name": "<string>",
"agentId": "<string>"
}
]
}
'{
"watching": [
{
"agentId": "<string>",
"agentName": "<string>",
"platformAgentId": "<string>",
"created": true,
"pullProductionCalls": true
}
],
"refused": [
{
"platformAgentId": "<string>",
"reason": "contested",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1Body
application/json